Bug 175021 - textproc/align: Update to version 1.7.2
textproc/align: Update to version 1.7.2
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-05 18:10 UTC by tkato432
Modified: 2013-01-14 16:10 UTC (History)
0 users

See Also:


Attachments
file.diff (1.86 KB, patch)
2013-01-05 18:10 UTC, tkato432
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description tkato432 2013-01-05 18:10:03 UTC
- Update to version 1.7.2

Remove file:
pkg-plist
Comment 1 dfilter freebsd_committer 2013-01-14 16:00:43 UTC
Author: mva
Date: Mon Jan 14 16:00:35 2013
New Revision: 310393
URL: http://svnweb.freebsd.org/changeset/ports/310393

Log:
  - Update to 1.7.2
  - Trim Makefile headers
  - Add LICENSE
  
  PR:		ports/175021
  Submitted by:	KATO Tsuguru <tkato432@yahoo.com>

Deleted:
  head/textproc/align/pkg-plist
Modified:
  head/textproc/align/Makefile   (contents, props changed)
  head/textproc/align/distinfo   (contents, props changed)

Modified: head/textproc/align/Makefile
==============================================================================
--- head/textproc/align/Makefile	Mon Jan 14 15:45:29 2013	(r310392)
+++ head/textproc/align/Makefile	Mon Jan 14 16:00:35 2013	(r310393)
@@ -1,13 +1,8 @@
-# ex:ts=8
-# New ports collection makefile for:	align
-# Date created:			Oct 30, 2001
-# Whom:				ijliao
-#
+# Created by: ijliao
 # $FreeBSD$
-#
 
 PORTNAME=	align
-PORTVERSION=	1.7.1
+PORTVERSION=	1.7.2
 CATEGORIES=	textproc
 MASTER_SITES=	http://www.cs.indiana.edu/~kinzler/align/
 EXTRACT_SUFX=	.tgz
@@ -15,10 +10,22 @@ EXTRACT_SUFX=	.tgz
 MAINTAINER=	ports@FreeBSD.org
 COMMENT=	Text column alignment filter
 
-USE_PERL5=	yes
+LICENSE=	GPLv2 # (or later)
+
+NO_BUILD=	yes
+
+USE_PERL5_RUN=	yes
+
+PLIST_FILES=	bin/align bin/width
 
 post-patch:
-	${REINPLACE_CMD} -e 's|/usr/local/bin|${PREFIX}/bin|g' ${WRKSRC}/Makefile
-	${REINPLACE_CMD} -e 's|/usr/bin/perl|${PERL}|g' ${WRKSRC}/*
+.for i in align width
+	@${REINPLACE_CMD} -e 's|/usr/bin/perl|${PERL}|' ${WRKSRC}/${i}
+.endfor
+
+do-install:
+.for i in align width
+	(cd ${WRKSRC} && ${INSTALL_SCRIPT} ${i} ${PREFIX}/bin)
+.endfor
 
 .include <bsd.port.mk>

Modified: head/textproc/align/distinfo
==============================================================================
--- head/textproc/align/distinfo	Mon Jan 14 15:45:29 2013	(r310392)
+++ head/textproc/align/distinfo	Mon Jan 14 16:00:35 2013	(r310393)
@@ -1,2 +1,2 @@
-SHA256 (align-1.7.1.tgz) = c954035517012c48acd84f2ffc951b727c36df4dd09feb405169ebd77c2eb28f
-SIZE (align-1.7.1.tgz) = 12047
+SHA256 (align-1.7.2.tgz) = 69a81c49c9074f90c12f589d260c62e21320315de0ae2c16af0d50da8c022150
+SIZE (align-1.7.2.tgz) = 12133
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Marcus von Appen freebsd_committer 2013-01-14 16:00:58 UTC
State Changed
From-To: open->closed

Committed. Thanks!